<?php
require_once('../../../includes/load.php');


//funcion para traer los datos de la base de datos a la tabla listado programa
$convert_utf8 = function ($s) {
         if (!mb_check_encoding($s, 'UTF-8')) {
             $s = utf8_encode($s);
         }
         return $s;
     };
$sql = $db->query("SELECT res.id, res.NombreResponsableActivo, res.ApellidoResponsableActivo, res.DNIResponsableActivo, cat.NombreCategoriaOperador, res.NumeroLicenciaResponsableActivo, res.EstadoMantenimientoInterno, ar.NombreAreaGerenciaOperaciones FROM responsableactivo res INNER JOIN categoriaoperador cat ON res.IdCategoriaOperador = cat.IdCategoriaOperador INNER JOIN areagerenciaoperaciones ar ON res.IdAreaGerenciaOperaciones = ar.IdAreaGerenciaOperaciones ORDER BY id DESC");
$data = array();
while( $rows = mysqli_fetch_assoc($sql) ) {
	$data[] = array_map($convert_utf8, $rows);
}
$results = array(
	"sEcho" => 1,
"iTotalRecords" => count($data),
"iTotalDisplayRecords" => count($data),
  "aaData"=>$data);
echo json_encode($results);
?>




